<?php
	header('Content-type: application/vnd.ms-excel; charset=UTF-8');
	header('Content-Disposition: attachment;filename=evaluacion_desempeño.xls');
	header('Pragma: no-cache');
	header('Expires: 0');

	// session_start();
	include('../../../php/conn_2.php');

	// if(!isset($_SESSION["id"])){
	// 	header('Location: index.php');
	// }

	mysqli_query($enlace, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
	mysqli_query($enlacehost, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
	mysqli_query($enlace, "SET NAMES 'utf8'");
	mysqli_query($enlacehost, "SET NAMES 'utf8'");
	mysqli_query($enlacehost, "SET lc_time_names = 'es_MX'");
?>

<!DOCTYPE html>
<html lang="es">
	<head>
		<meta charset="utf-8">
	</head>

	<body class="nav-md footer_fixed">
 		<div class="container body">
			<div class="main_container"">
				<?php

				// Recuperando las variables enviadas
					$token = $_GET["id"];
					$encuestador = str_replace('_', ' ', $_GET["encuestador"]);

				// Recuperando los datos  para llenar el formato
					$query = "	SELECT	627466X31X266 AS NOMBRE,
										ROUND(627466X31X267) AS DNI,
								        DATE_FORMAT(627466X31X268, '%d/%m/%Y') AS FECHA_INGRESO,

								        (SELECT answer FROM lime_answers WHERE qid = 265 AND code = 627466X31X265) AS PROYECTO,
								        
								        (SELECT answer FROM lime_answers WHERE qid = 269 AND code = 627466X31X269) AS POSICION,
								        
								        CONCAT(MONTHNAME(627466X32X274), ' - ', YEAR(627466X32X275)) AS PERIODO_EVALUAR,
        
								        `627466X33X277` AS PREGUNTA1,
								        `627466X33X283` AS PREGUNTA1_comentarios,
								        `627466X34X284` AS PREGUNTA2,
								        `627466X34X291` AS PREGUNTA2_comentarios,
								        `627466X35X292` AS PREGUNTA3,
								        `627466X35X299` AS PREGUNTA3_comentarios,
								        `627466X36X300` AS PREGUNTA4,
								        `627466X36X307` AS PREGUNTA4_comentarios,
								        `627466X37X308` AS PREGUNTA5,
								        `627466X37X315` AS PREGUNTA5_comentarios,
								        `627466X38X322` AS COMENTARIOS,

								        `627466X33X277` + `627466X34X284` + `627466X35X292` + `627466X36X300` + `627466X37X308` AS RESULTADO_FINAL

								  FROM 	lime_survey_627466 WHERE token = '".$token."'";

					if ($res = mysqli_query($enlacehost, $query)) {
						if (mysqli_num_rows($res) > 0) {
							while($row = mysqli_fetch_assoc($res)) {
								// Armando la cabecera del formato
									echo '<div>';
									echo '	<img src="http://intelliapps.net.pe/centralparking/panel/usuario/send_to_excel/logo.png" width="140" height="50">';
									echo '	<h5 align="center">';
									echo '		<u>Formato de Evaluación de Desempeño</u> ';
									echo '	</h5>';
									echo '</div>';
									echo '<h4 align="center">';
									echo '</h4>';

								// Armando la cabecera del formato
									echo '<table width="80%" border="1" cellpading="2">';
									echo '	<thead>';
									// echo '		<tr>';
									// echo '			<th> </th>';
									// echo '			<th> </th>';
									// echo '			<th> </th>';
									// echo '			<th> </th>';
									// echo '		</tr>';
									echo '	</thead>';
									echo '	<tbody>';
									echo '		<tr>';
										echo '			<td style="width:150px; height:35px; vertical-align:middle">Nombre';
										echo '			</td>';
										echo '			<td colspan="3" style="vertical-align:middle"><center><b>';
										echo '				'.strtoupper($row["NOMBRE"]);
										echo '			</b></center></td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td style="height:35px; vertical-align:middle">DNI';
										echo '			</td>';
										echo '			<td style="width:300px; vertical-align:middle"><center><b>';
										echo '				'.strtoupper($row["DNI"]);
										echo '			</b></center></td>';
										echo '			<td style="width:150px; vertical-align:middle">';
										echo '				Fecha de ingreso';
										echo '			</td>';
										echo '			<td style="width:300px; vertical-align:middle"><center><b>';
										echo '				'.strtoupper($row["FECHA_INGRESO"]);
										echo '			</b></center></td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td style="height:35px; vertical-align:middle">Proyecto';
										echo '			</td>';
										echo '			<td colspan="3" style="vertical-align:middle"><center><b>';
										echo '				'.strtoupper($row["PROYECTO"]);
										echo '			</b></center></td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td style="height:35px; vertical-align:middle">Posición';
										echo '			</td>';
										echo '			<td colspan="3" style="vertical-align:middle"><center><b>';
										echo '				'.strtoupper($row["POSICION"]);
										echo '			</b></center></td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td style="height:35px; vertical-align:middle">Periodo a evaluar';
										echo '			</td>';
										echo '			<td colspan="3" style="vertical-align:middle"><center><b>';
										echo '				'."'".strtoupper($row["PERIODO_EVALUAR"]);
										echo '			</b></center></td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td style="height:35px; vertical-align:middle">Evaluador';
										echo '			</td>';
										echo '			<td colspan="3" style="vertical-align:middle"><center><b>';
										echo '				'.strtoupper($encuestador);
										echo '			</b></center></td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="4" style="vertical-align:middle"><center>';
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="4" style="vertical-align:middle"><center>';
										echo '				Criterios de evaluación';
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="4" rowspan="3" style="vertical-align:middle"><center>';
										echo "0: Muy deficiente&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1: Deficiente&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2: Regular&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3: Bueno&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4: Muy bueno";
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="4" style="vertical-align:middle"><center>';
										echo '			</center></td>';
									echo '		</tr>';

									// Formatea el cuerpo del formato
									echo '		<tr>';
										echo '			<td colspan="4" bgcolor="#595959" style="vertical-align:middle">';
										echo '				<font color="#ffffff"><b>I. Conocimiento y aplicación de Protocolos</b></font>';
										echo '			</td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="2" rowspan="4" style="vertical-align:middle">';
										echo '				El colaborador conoce y aplica los protocoles y procedimientos definidos por la empresa en su trabajo diario.';
										echo '			</td>';
										echo '			<td rowspan="4" style="vertical-align:middle"><center>';
										echo '				<font size="6"><b>'.$row["PREGUNTA1"].'</b></font>';
										echo '			</center></td>';
										echo '			<td style="height:40px; vertical-align:middle;"><center>';
										echo '				<font size="1">Observaciones:</font>';
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '			<td rowspan="3" style="vertical-align:middle; height:160px;">';
										echo '				<font size="1"><b>'.$row["PREGUNTA1_comentarios"].'</b></font>';
										echo '		</td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';

									echo '		<tr>';
										echo '			<td colspan="4" bgcolor="#595959" style="vertical-align:middle">';
										echo '				<font color="#ffffff"><b>II. Trabajo en equipo y Clima Organizacional</b></font>';
										echo '			</td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="2" rowspan="4" style="vertical-align:middle">';
										echo '				El colaborador promueve el trabajo en equipo, no escatima en tiempo y/o esfuerzo por el bien del equipo.';
										echo '			</td>';
										echo '			<td rowspan="4" style="vertical-align:middle"><center>';
										echo '				<font size="6"><b>'.$row["PREGUNTA2"].'</b></font>';
										echo '			</center></td>';
										echo '			<td style="height:40px; vertical-align:middle;"><center>';
										echo '				<font size="1">Observaciones:</font>';
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '			<td rowspan="3" style="vertical-align:middle; height:160px;">';
										echo '				<font size="1"><b>'.$row["PREGUNTA2_comentarios"].'</b></font>';
										echo '		</td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';

									echo '		<tr>';
										echo '			<td colspan="4" bgcolor="#595959" style="vertical-align:middle">';
										echo '				<font color="#ffffff"><b>III. Puntualidad y asistencia</b></font>';
										echo '			</td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="2" rowspan="4" style="vertical-align:middle">';
										echo '				El colaborador respeta los horarios de ingreso y salida del proyecto, tiene una asistencia perfecta.';
										echo '			</td>';
										echo '			<td rowspan="4" style="vertical-align:middle"><center>';
										echo '				<font size="6"><b>'.$row["PREGUNTA3"].'</b></font>';
										echo '			</center></td>';
										echo '			<td style="height:40px; vertical-align:middle;"><center>';
										echo '				<font size="1">Observaciones:</font>';
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '			<td rowspan="3" style="vertical-align:middle; height:160px;">';
										echo '				<font size="1"><b>'.$row["PREGUNTA3_comentarios"].'</b></font>';
										echo '		</td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';

									echo '		<tr>';
										echo '			<td colspan="4" bgcolor="#595959" style="vertical-align:middle">';
										echo '				<font color="#ffffff"><b>IV. Imagen Personal y del proyecto</b></font>';
										echo '			</td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="2" rowspan="4" style="vertical-align:middle">';
										echo '				El colaborador mantiene una buena imagen personal (cabello bien peinado, manos y cara aseados, uniforme limpio y planchado, zapatos lustrados) ademas de tener una aptitud positiva (sonrrie, hace contacto visual con los clientes y esta presto a ayudarlos).';
										echo '			</td>';
										echo '			<td rowspan="4" style="vertical-align:middle"><center>';
										echo '				<font size="6"><b>'.$row["PREGUNTA4"].'</b></font>';
										echo '			</center></td>';
										echo '			<td style="height:40px; vertical-align:middle;"><center>';
										echo '				<font size="1">Observaciones:</font>';
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '			<td rowspan="3" style="vertical-align:middle; height:160px;">';
										echo '				<font size="1"><b>'.$row["PREGUNTA4_comentarios"].'</b></font>';
										echo '		</td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';

									echo '		<tr>';
										echo '			<td colspan="4" bgcolor="#595959" style="vertical-align:middle">';
										echo '				<font color="#ffffff"><b>V. Respeto, Proactividad y Colaboración</b></font>';
										echo '			</td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="2" rowspan="4" style="vertical-align:middle">';
										echo '				El colaborador demuestra respeto para con sus compañeros, lideres, clientes y usuarios, siempre esta presto a colaborar y demuestra proactividad para realizar las tareas diarias, proponiendo nuevos metodos.';
										echo '			</td>';
										echo '			<td rowspan="4" style="vertical-align:middle"><center>';
										echo '				<font size="6"><b>'.$row["PREGUNTA5"].'</b></font>';
										echo '			</center></td>';
										echo '			<td style="height:40px; vertical-align:middle;"><center>';
										echo '				<font size="1">Observaciones:</font>';
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '			<td rowspan="3" style="vertical-align:middle; height:250px;">';
										echo '				<font size="1"><b>'.$row["PREGUNTA5_comentarios"].'</b></font>';
										echo '		</td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';

									echo '		<tr>';
									echo '		</td>';
									echo '		<tr>';
										echo '			<td colspan="2" bgcolor="#595959" style="vertical-align:middle"><center>';
										echo '				<font color="#ffffff"><b>Resultado Final</b></font>';
										echo '			</center></td>';
										echo '			<td style="vertical-align:middle"><center>';
										echo '				<font size="6"><b>'.$row["RESULTADO_FINAL"].'</b></font>';
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
									echo '		</tr>';

									echo '		<tr>';
										echo '			<td colspan="2" style="vertical-align:middle"><center>';
										echo '				Comentarios del Evaluado';
										echo '			</center></td>';
										echo '			<td colspan="2" style="vertical-align:middle"><center>';
										echo '				Firma del Evaluador';
										echo '			</center></td>';
									echo '		</tr>';
									echo '		<tr>';
										echo '			<td colspan="2" rowspan="3" style="vertical-align:middle">';
										echo '				<font size="1"><b>'.$row["COMENTARIOS"].'</b></font>';
										echo '			</center></td>';
									echo '		</tr>';


									echo '	</tbody>';
									echo '</table>';
								
							}
						}
					}

					// $des_encuesta = $_GET["des_encuesta"];
					// $anho = $_GET["anho"];
					
					// $mes = $_GET["mes"];
					// $des_mes = $_GET["des_mes"];

					// $mes2 = $_GET["mes2"];
					// $des_mes2 = $_GET["des_mes2"];

					// $mes3 = $_GET["mes3"];
					// $des_mes3 = $_GET["des_mes3"];

					// $filtros = $_GET["filtros"];
					// $cod_cliente = $_GET["cod_cliente"];

					// echo '<h5 align="center">';
					// echo '	<u>Formato de Evaluación de Desempeño</u> ';
					// echo '</h5>';
					// echo '<h4 align="center">';
					// // echo '('.strtoupper($des_encuesta).')';
					// echo '</h4>';

					// echo '<table id="datatable" class="table table-striped jambo_table bulk_action">';
					// echo '	<thead>';
					// echo '		<tr>';
					// echo '			<th bgcolor="#4488ba"><center><font color="white">Cód. Oficina</font></center></th>';
					// echo '			<th bgcolor="#4488ba"><center><font color="white">Oficina</font></center></th>';
					// echo '			<th bgcolor="#4488ba"><center><font color="white">Territorio</font></center></th>';

					// // if ($mes == 1){
					// 	echo '			<th bgcolor="#373b3e"><center><font color="white">NOTA '.strtoupper($des_mes).'</font></center></th>';
			  //  //      }

			  //  //      if ($mes == 2){
			  //  //      	echo '			<th bgcolor="#373b3e"><center><font color="white">NOTA '.strtoupper($des_mes2).'</font></center></th>';
					// 	// echo '			<th bgcolor="#373b3e"><center><font color="white">NOTA '.strtoupper($des_mes).'</font></center></th>';
			  //  //      }

			  //  //      if ($mes >= 3){
			  //  //      	echo '			<th bgcolor="#373b3e"><center><font color="white">NOTA '.strtoupper($des_mes3).'</font></center></th>';
					// 	// echo '			<th bgcolor="#373b3e"><center><font color="white">NOTA '.strtoupper($des_mes2).'</font></center></th>';
					// 	// echo '			<th bgcolor="#373b3e"><center><font color="white">NOTA '.strtoupper($des_mes).'</font></center></th>';
			  //  //      }					

					// echo '		</tr>';
					// echo '	</thead>';

					// echo '	<tbody>';

					// // // Recupera los detalles
					// // 	if ($cod_encuesta == 473252){
					// // 		$c_indicador = 'IND_74';
					// // 		$c_oficinas = 'oficinas';
					// // 		$c_territorio = 'territorio';
					// // 		$c_guia = '473252X16X168';
					// // 	}
					// // 	else{
					// // 		$c_indicador = 'IND_99';
					// // 		$c_oficinas = 'oficinas2';
					// // 		$c_territorio = 'territorio2';
					// // 		$c_guia = '473252X16X5282';
					// // 	}

					// // 	if ($mes == 1){
					// // 		$query_det = "SELECT CASE 473252X656X7687 WHEN 18 THEN 473252X10X121 ELSE 473252X10X7688 END AS COD_OFICINA, ".$c_oficinas." AS OFICINA, ".$c_territorio." AS TERRITORIO, ROUND(AVG(".$c_indicador."), 2) AS RESULTADO FROM tb_resultados_473252 WHERE cod_anho = ".$anho." AND cod_mes = ".$mes." AND LENGTH(".$c_guia.") > 0 AND LENGTH(".$c_oficinas.") > 0 GROUP BY ".$c_oficinas.", ".$c_territorio." ORDER BY oficinas";

					// // 		if ($res_det = mysqli_query($enlace, $query_det)) {
					// // 			if (mysqli_num_rows($res_det) > 0) {
					// // 				while($row_det = mysqli_fetch_assoc($res_det)) {
					// // 					echo '<tr>';

					// // 					echo '	<td><center>';
					// // 					echo 		$row_det["COD_OFICINA"];
					// // 					echo '	</center></td>';

					// // 					echo '	<td><center>';
					// // 					echo 		$row_det["OFICINA"];
					// // 					echo '	</center></td>';

					// // 					echo '	<td><center>';
					// // 					echo 		$row_det["TERRITORIO"];
					// // 					echo '	</center></td>';

					// // 					// Determina el color
					// // 						$color = '';

					// // 						if ($row_det["RESULTADO"] < 8){ //Rojo
					// // 							$color = 'bgcolor="#e8000c"';
					// // 						}

					// // 						if ($row_det["RESULTADO"] >= 8 && $row_det["RESULTADO"] < 12){ //Amarillo
					// // 							$color = 'bgcolor="#ffb00d"';
					// // 						}

					// // 						if ($row_det["RESULTADO"] >= 12 ){ //Verde
					// // 							$color = 'bgcolor="#177f52"';
					// // 						}

					// // 					echo '	<td '.$color.' ><center>';
					// // 					echo 		$row_det["RESULTADO"];
					// // 					echo '	</center></td>';

					// // 					echo '</tr>';
					// // 				}
					// // 			}
					// // 	    }
					// // 	}

					// // 	if ($mes == 2){
					// // 		$query_det = "SELECT 473252X656X7687, CASE 473252X656X7687 WHEN 18 THEN 473252X10X121 ELSE 473252X10X7688 END AS COD_OFICINA, ".$c_oficinas." AS OFICINA, ".$c_territorio." AS TERRITORIO, ROUND(AVG(".$c_indicador."), 2) AS RESULTADO FROM tb_resultados_473252 WHERE cod_anho = ".$anho." AND cod_mes = ".$mes." AND LENGTH(".$c_guia.") > 0 AND LENGTH(".$c_oficinas.") > 0 GROUP BY 473252X656X7687, ".$c_oficinas.", ".$c_territorio." ORDER BY oficinas";

					// // 		if ($res_det = mysqli_query($enlace, $query_det)) {
					// // 			if (mysqli_num_rows($res_det) > 0) {
					// // 				while($row_det = mysqli_fetch_assoc($res_det)) {
					// // 					echo '<tr>';

					// // 					echo '	<td><center>';
					// // 					echo 		$row_det["COD_OFICINA"];
					// // 					echo '	</center></td>';

					// // 					echo '	<td><center>';
					// // 					echo 		$row_det["OFICINA"];
					// // 					echo '	</center></td>';

					// // 					echo '	<td><center>';
					// // 					echo 		$row_det["TERRITORIO"];
					// // 					echo '	</center></td>';

					// // 					// Pinta el campo de mes 2
					// // 						$query_det2 = "SELECT ROUND(AVG(".$c_indicador."), 2) AS RESULTADO FROM tb_resultados_473252 WHERE cod_anho = ".$anho." AND cod_mes = ".($mes - 1)." AND LENGTH(".$c_guia.") > 0 AND LENGTH(".$c_oficinas.") > 0 AND ".(($row_det["473252X656X7687"]  == 18) ? '473252X10X121' : '473252X10X7688')." = ".$row_det["COD_OFICINA"]." ORDER BY oficinas";

					// // 						if ($res_det2 = mysqli_query($enlace, $query_det2)) {
					// // 							if (mysqli_num_rows($res_det2) > 0) {
					// // 								while($row_det2 = mysqli_fetch_assoc($res_det2)) {
					// // 									// Determina el color
					// // 										$color = '';

					// // 										if ($row_det2["RESULTADO"] < 8){ //Rojo
					// // 											$color = 'bgcolor="#e8000c"';
					// // 										}

					// // 										if ($row_det2["RESULTADO"] >= 8 && $row_det2["RESULTADO"] < 12){ //Amarillo
					// // 											$color = 'bgcolor="#ffb00d"';
					// // 										}

					// // 										if ($row_det2["RESULTADO"] >= 12 ){ //Verde
					// // 											$color = 'bgcolor="#177f52"';
					// // 										}

					// // 									echo '	<td '.$color.' ><center>';
					// // 									echo 		$row_det2["RESULTADO"];
					// // 									echo '	</center></td>';
					// // 								}
					// // 							}
					// // 						}

					// // 					// Determina el color
					// // 						$color = '';

					// // 						if ($row_det["RESULTADO"] < 8){ //Rojo
					// // 							$color = 'bgcolor="#e8000c"';
					// // 						}

					// // 						if ($row_det["RESULTADO"] >= 8 && $row_det["RESULTADO"] < 12){ //Amarillo
					// // 							$color = 'bgcolor="#ffb00d"';
					// // 						}

					// // 						if ($row_det["RESULTADO"] >= 12 ){ //Verde
					// // 							$color = 'bgcolor="#177f52"';
					// // 						}

					// // 					echo '	<td '.$color.' ><center>';
					// // 					echo 		$row_det["RESULTADO"];
					// // 					echo '	</center></td>';

					// // 					echo '</tr>';
					// // 				}
					// // 			}
					// // 	    }
					// // 	}

					// // 	if ($mes >= 3){
					// // 		$query_det = "SELECT 473252X656X7687, CASE 473252X656X7687 WHEN 18 THEN 473252X10X121 ELSE 473252X10X7688 END AS COD_OFICINA, ".$c_oficinas." AS OFICINA, ".$c_territorio." AS TERRITORIO, ROUND(AVG(".$c_indicador."), 2) AS RESULTADO FROM tb_resultados_473252 WHERE cod_anho = ".$anho." AND cod_mes = ".$mes." AND LENGTH(".$c_guia.") > 0 AND LENGTH(".$c_oficinas.") > 0 GROUP BY 473252X656X7687, ".$c_oficinas.", ".$c_territorio." ORDER BY oficinas";

					// // 		if ($res_det = mysqli_query($enlace, $query_det)) {
					// // 			if (mysqli_num_rows($res_det) > 0) {
					// // 				while($row_det = mysqli_fetch_assoc($res_det)) {
					// // 					echo '<tr>';

					// // 					echo '	<td><center>';
					// // 					echo 		$row_det["COD_OFICINA"];
					// // 					echo '	</center></td>';

					// // 					echo '	<td><center>';
					// // 					echo 		$row_det["OFICINA"];
					// // 					echo '	</center></td>';

					// // 					echo '	<td><center>';
					// // 					echo 		$row_det["TERRITORIO"];
					// // 					echo '	</center></td>';

					// // 					// Pinta el campo de mes 3
					// // 						$query_det3 = "SELECT ROUND(AVG(".$c_indicador."), 2) AS RESULTADO FROM tb_resultados_473252 WHERE cod_anho = ".$anho." AND cod_mes = ".($mes - 2)." AND LENGTH(".$c_guia.") > 0 AND LENGTH(".$c_oficinas.") > 0 AND ".(($row_det["473252X656X7687"]  == 18) ? '473252X10X121' : '473252X10X7688')." = ".$row_det["COD_OFICINA"]." ORDER BY oficinas";

					// // 						if ($res_det3 = mysqli_query($enlace, $query_det3)) {
					// // 							if (mysqli_num_rows($res_det3) > 0) {
					// // 								while($row_det3 = mysqli_fetch_assoc($res_det3)) {
					// // 									// Determina el color
					// // 										$color = '';

					// // 										if ($row_det3["RESULTADO"] < 8){ //Rojo
					// // 											$color = 'bgcolor="#e8000c"';
					// // 										}

					// // 										if ($row_det3["RESULTADO"] >= 8 && $row_det3["RESULTADO"] < 12){ //Amarillo
					// // 											$color = 'bgcolor="#ffb00d"';
					// // 										}

					// // 										if ($row_det3["RESULTADO"] >= 12 ){ //Verde
					// // 											$color = 'bgcolor="#177f52"';
					// // 										}

					// // 									echo '	<td '.$color.' ><center>';
					// // 									echo 		$row_det3["RESULTADO"];
					// // 									echo '	</center></td>';
					// // 								}
					// // 							}
					// // 						}

					// // 					// Pinta el campo de mes 2
					// // 						$query_det2 = "SELECT ROUND(AVG(".$c_indicador."), 2) AS RESULTADO FROM tb_resultados_473252 WHERE cod_anho = ".$anho." AND cod_mes = ".($mes - 1)." AND LENGTH(".$c_guia.") > 0 AND LENGTH(".$c_oficinas.") > 0 AND ".(($row_det["473252X656X7687"]  == 18) ? '473252X10X121' : '473252X10X7688')." = ".$row_det["COD_OFICINA"]." ORDER BY oficinas";

					// // 						if ($res_det2 = mysqli_query($enlace, $query_det2)) {
					// // 							if (mysqli_num_rows($res_det2) > 0) {
					// // 								while($row_det2 = mysqli_fetch_assoc($res_det2)) {
					// // 									// Determina el color
					// // 										$color = '';

					// // 										if ($row_det2["RESULTADO"] < 8){ //Rojo
					// // 											$color = 'bgcolor="#e8000c"';
					// // 										}

					// // 										if ($row_det2["RESULTADO"] >= 8 && $row_det2["RESULTADO"] < 12){ //Amarillo
					// // 											$color = 'bgcolor="#ffb00d"';
					// // 										}

					// // 										if ($row_det2["RESULTADO"] >= 12 ){ //Verde
					// // 											$color = 'bgcolor="#177f52"';
					// // 										}

					// // 									echo '	<td '.$color.' ><center>';
					// // 									echo 		$row_det2["RESULTADO"];
					// // 									echo '	</center></td>';
					// // 								}
					// // 							}
					// // 						}

					// // 					// Determina el color
					// // 						$color = '';

					// // 						if ($row_det["RESULTADO"] < 8){ //Rojo
					// // 							$color = 'bgcolor="#e8000c"';
					// // 						}

					// // 						if ($row_det["RESULTADO"] >= 8 && $row_det["RESULTADO"] < 12){ //Amarillo
					// // 							$color = 'bgcolor="#ffb00d"';
					// // 						}

					// // 						if ($row_det["RESULTADO"] >= 12 ){ //Verde
					// // 							$color = 'bgcolor="#177f52"';
					// // 						}

					// // 					echo '	<td '.$color.' ><center>';
					// // 					echo 		$row_det["RESULTADO"];
					// // 					echo '	</center></td>';

					// // 					echo '</tr>';
					// // 				}
					// // 			}
					// // 	    }
					// // 	}

					// echo '	</tbody>';
					// echo '</table>';

				?>
			</div>
		</div>
	</div>
</html>